 Rem File: Dndcnfg3 for Dndbbs Version v5.0a Release r2.0 Tweak t6.0a
 Rem $Include: 'dndcnfg.inc'
Sub Select.Page.Six(VarX,VarY)
 On Local Error Goto ErrorExit72
 Locate ,,1
 If VarY=False Then
    Call ANSI(4,33,44)
 Else
    Call ANSI(4,37,45)
 Endif
 Select Case VarX
 Case 1
    Call ANSI(2,2,29)
    Strng2="  "
    Call Scrn(Strng2)
    Call ANSI(2,2,29)
    Strng2=Mid$(Str$(Config.Array2(46)),2)
    Call Scrn(Strng2)
 Case 2
    Call ANSI(2,3,43)
    Strng2="    "
    Call Scrn(Strng2)
    Call ANSI(2,3,43)
    Strng2=Ucase$(Hex$(Config.Array2(114)))
    Call Scrn(Strng2)
 Case 3
    Call ANSI(2,4,23)
    Strng2="  "
    Call Scrn(Strng2)
    Call ANSI(2,4,23)
    Strng2=Ucase$(Config3$(83))
    Call Scrn(Strng2)
 Case 4
    Call ANSI(2,5,30)
    Strng2=Space$(50)
    Call Scrn(Strng2)
    Call ANSI(2,5,30)
    Strng2=Ucase$(Config3$(84))
    Call Scrn(Strng2)
 Case 5
    Call ANSI(2,6,23)
    Strng2=Space$(40)
    Call Scrn(Strng2)
    Call ANSI(2,6,23)
    Strng2=Config3$(42)
    Call Scrn(Strng2)
 Case 6
    Call ANSI(2,7,26)
    Strng2=Str$(Config.Array2(57))+" "
    Call Scrn(Strng2)
    Call ANSI(4,33,44)
    Call ANSI(2,7,29)
    Strng2=Space$(50)
    Call Scrn(Strng2)
    Call ANSI(2,7,29)
    Strng2=Config3$(39)
    Call Scrn(Strng2)
    Call ANSI(2,7,28)
 Case 7
    Call ANSI(2,8,24)
    Strng2=Space$(40)
    Call Scrn(Strng2)
    Call ANSI(2,8,24)
    Strng2=Config3$(40)
    Call Scrn(Strng2)
 Case 8
    Call ANSI(2,9,26)
    Strng2=Space$(40)
    Call Scrn(Strng2)
    Call ANSI(2,9,26)
    Strng2=Config3$(41)
    Call Scrn(Strng2)
 Case 9
    Call ANSI(2,10,27)
    Strng2=Space$(40)
    Call Scrn(Strng2)
    Call ANSI(2,10,27)
    Strng2=Config3$(66)
    Call Scrn(Strng2)
 Case 10
    Call ANSI(2,11,29)
    Strng2=Space$(5)
    Call Scrn(Strng2)
    Call ANSI(2,11,29)
    Strng2=Mid$(Str$(Config.Array2(56)),2)
    Call Scrn(Strng2)
 Case 11
    Call ANSI(2,12,24)
    Strng2=Space$(6)
    Call Scrn(Strng2)
    Call ANSI(2,12,24)
    Strng2=Mid$(Str$(Config.Array2(64))+"00",2)
    Call Scrn(Strng2)
 Case 12
    Call ANSI(2,13,42)
    Strng2=Space$(5)
    Call Scrn(Strng2)
    Call ANSI(2,13,42)
    Strng2=Mid$(Str$(Config.Array2(60)),2)
    Call Scrn(Strng2)
 Case 13
    Call ANSI(2,14,22)
    Strng2="   "
    Call Scrn(Strng2)
    Call ANSI(2,14,22)
    Call Scrn(YN$(Config.Array2(45)))
 Case 14
    Call ANSI(2,15,32)
    Strng2="   "
    Call Scrn(Strng2)
    Call ANSI(2,15,32)
    Call Scrn(YN$(Config.Array2(79)))
 Case 15
    Call ANSI(2,16,31)
    Strng2="   "
    Call Scrn(Strng2)
    Call ANSI(2,16,31)
    Call Scrn(YN$(Config.Array2(80)))
 Case 16
    Call ANSI(2,17,27)
    Strng2="   "
    Call Scrn(Strng2)
    Call ANSI(2,17,27)
    Call Scrn(YN$(Config.Array2(65)))
 Case 17
    Call ANSI(2,18,38)
    Strng2=Space$(5)
    Call Scrn(Strng2)
    Call ANSI(2,18,38)
    Strng2=Mid$(Str$(Config.Array2(47)),2)
    Call Scrn(Strng2)
 Case 18
    Call ANSI(2,19,30)
    Strng2="   "
    Call Scrn(Strng2)
    Call ANSI(2,19,30)
    Call Scrn(YN$(Config.Array2(66)))
 Case 19
    Call ANSI(2,20,34)
    Strng2=Space$(10)
    Call Scrn(Strng2)
    Call ANSI(2,20,34)
    Strng2=String$(10,Mask$)
    Call Scrn(Strng2)
 Case 20
    Call ANSI(2,21,35)
    Strng2="   "
    Call Scrn(Strng2)
    Call ANSI(2,21,35)
    Call Scrn(YN$(Config.Array2(83)))
 Case 21
    Call ANSI(2,22,37)
    Strng2="   "
    Call Scrn(Strng2)
    Call ANSI(2,22,37)
    Strng2=Mid$(Str$(Config.Array2(84)),2)
    Call Scrn(Strng2)
 Case 22
    Call ANSI(2,23,47)
    Strng2="   "
    Call Scrn(Strng2)
    Call ANSI(2,23,47)
    Strng2=Mid$(Str$(Config.Array2(49)),2)
    Call Scrn(Strng2)
 Case 23
    Call ANSI(2,24,37)
    Strng2="   "
    Call Scrn(Strng2)
    Call ANSI(2,24,37)
    Call Scrn(YN$(Config.Array2(106)))
 Case 24 To 45
    Call ANSI(2,VarX-21,21)
    Strng2=Space$(20)
    Call Scrn(Strng2)
    Call ANSI(2,VarX-21,21)
    Call Scrn(Rtrim$(Ucase$(Modem.String(VarX-23))))
    Call ANSI(2,VarX-21,42)
    Strng2=Space$(10)
    Call Scrn(Strng2)
    Call ANSI(2,VarX-21,42)
    Call Scrn(Ltrim$(Str$(Modem.Connect(VarX-23))))
    Call ANSI(2,VarX-21,66)
    Call Scrn("   ")
    Call ANSI(2,VarX-21,66)
    Call Scrn(YN$(Modem.Allow(VarX-23)))
 Case 46 To 53
    Call ANSI(2,VarX-43,21)
    Strng2=Space$(20)
    Call Scrn(Strng2)
    Call ANSI(2,VarX-43,21)
    Call Scrn(Rtrim$(Ucase$(Modem.String(VarX-23))))
    Call ANSI(2,VarX-43,42)
    Strng2=Space$(10)
    Call Scrn(Strng2)
    Call ANSI(2,VarX-43,42)
    Call Scrn(Ltrim$(Str$(Modem.Connect(VarX-23))))
    Call ANSI(2,VarX-43,66)
    Call Scrn("   ")
    Call ANSI(2,VarX-43,66)
    Call Scrn(YN$(Modem.Allow(VarX-23)))
 End Select
ErrorResume72:
 Exit Sub
ErrorExit72:
 Resume ErrorResume72
End Sub

Sub Select.Page.Seven(VarX,VarY)
 On Local Error Goto ErrorExit73
 Locate ,,1
 If VarY=False Then
    Call ANSI(4,33,44)
 Else
    Call ANSI(4,37,45)
 Endif
 Select Case VarX
 Case 1
    Call ANSI(2,2,20)
    Strng2="   "
    Call Scrn(Strng2)
    Call ANSI(2,2,20)
    Call Scrn(YN$(Config.Array2(63)))
 Case 2
    Call ANSI(2,3,26)
    Strng2=Space$(45)
    Call Scrn(Strng2)
    Call ANSI(2,3,26)
    Strng2=Config3$(29)
    If Len(Strng2)>40 Then
       Strng2=Left$(Strng2,40)+"..."
    Endif
    Call Scrn(Strng2)
 Case 3
    Call ANSI(2,4,23)
    Strng2=Space$(45)
    Call Scrn(Strng2)
    Call ANSI(2,4,23)
    Strng2=Config3$(30)
    If Len(Strng2)>40 Then
       Strng2=Left$(Strng2,40)+"..."
    Endif
    Call Scrn(Strng2)
 Case 4
    Call ANSI(2,5,32)
    Strng2=Space$(45)
    Call Scrn(Strng2)
    Call ANSI(2,5,32)
    Strng2=Config3$(31)
    If Len(Strng2)>40 Then
       Strng2=Left$(Strng2,40)+"..."
    Endif
    Call Scrn(Strng2)
 Case 5
    Call ANSI(2,6,29)
    Strng2=Space$(45)
    Call Scrn(Strng2)
    Call ANSI(2,6,29)
    Strng2=Config3$(32)
    If Len(Strng2)>40 Then
       Strng2=Left$(Strng2,40)+"..."
    Endif
    Call Scrn(Strng2)
 Case 6
    Call ANSI(2,7,31)
    Strng2=Space$(45)
    Call Scrn(Strng2)
    Call ANSI(2,7,31)
    Strng2=Config3$(33)
    If Len(Strng2)>40 Then
       Strng2=Left$(Strng2,40)+"..."
    Endif
    Call Scrn(Strng2)
 Case 7
    Call ANSI(2,8,25)
    Strng2=Space$(45)
    Call Scrn(Strng2)
    Call ANSI(2,8,25)
    Strng2=Config3$(34)
    If Len(Strng2)>40 Then
       Strng2=Left$(Strng2,40)+"..."
    Endif
    Call Scrn(Strng2)
 Case 8
    Call ANSI(2,9,26)
    Strng2=Space$(45)
    Call Scrn(Strng2)
    Call ANSI(2,9,26)
    Strng2=Config3$(35)
    If Len(Strng2)>40 Then
       Strng2=Left$(Strng2,40)+"..."
    Endif
    Call Scrn(Strng2)
 Case 9
    Call ANSI(2,10,26)
    Strng2=Space$(45)
    Call Scrn(Strng2)
    Call ANSI(2,10,26)
    Strng2=Config3$(36)
    If Len(Strng2)>40 Then
       Strng2=Left$(Strng2,40)+"..."
    Endif
    Call Scrn(Strng2)
 Case 10
    Call ANSI(2,11,34)
    Strng2=Space$(45)
    Call Scrn(Strng2)
    Call ANSI(2,11,34)
    Strng2=Config3$(37)
    If Len(Strng2)>40 Then
       Strng2=Left$(Strng2,40)+"..."
    Endif
    Call Scrn(Strng2)
 Case 11
    Call ANSI(2,12,31)
    Strng2=Space$(45)
    Call Scrn(Strng2)
    Call ANSI(2,12,31)
    Strng2=Config3$(43)
    If Len(Strng2)>40 Then
       Strng2=Left$(Strng2,40)+"..."
    Endif
    Call Scrn(Strng2)
 Case 12
    Call ANSI(2,13,34)
    Strng2=Space$(45)
    Call Scrn(Strng2)
    Call ANSI(2,13,34)
    Strng2=Config3$(44)
    If Len(Strng2)>40 Then
       Strng2=Left$(Strng2,40)+"..."
    Endif
    Call Scrn(Strng2)
 Case 13
    Call ANSI(2,14,30)
    Strng2=Space$(45)
    Call Scrn(Strng2)
    Call ANSI(2,14,30)
    Strng2=Config3$(45)
    If Len(Strng2)>40 Then
       Strng2=Left$(Strng2,40)+"..."
    Endif
    Call Scrn(Strng2)
 Case 14
    Call ANSI(2,15,26)
    Strng2="Load"
    Call Scrn(Strng2)
 End Select
ErrorResume73:
 Exit Sub
ErrorExit73:
 Resume ErrorResume73
End Sub

Sub Display.Page.Three.A
 On Local Error Goto ErrorExit74
 Call Display.Border(Rtrim$(Menu1(TempX))+" One")
 Call ANSI(4,37,44)
 Restore DisplayPage3A
 For Var=2 To 24
    Call ANSI(2,Var,2)
    Read Strng2
    Call Scrn(Strng2)
 Next
ErrorResume74:
 Exit Sub
ErrorExit74:
 Resume ErrorResume74
End Sub

DisplayPage3A:
 Data "Data files path name:"
 Data "Documentation files path name:"
 Data "Temporary path name(RAM disk):"
 Data "Message files path name:"
 Data "Documentation files extension(form: .ext):"
 Data "Data files extension(form: .ext):"
 Data "Team menu filename(form: filename):"
 Data "Usage log file name(form: filename):"
 Data "Dayfile logging name(form: filename.ext):"
 Data "User daylog file name(form: filename.ext):"
 Data "Exit to DOS file name(form: 5 letters):"
 Data "User report logging name(form: filename):"
 Data "Temporary file name(form: 6 letters):"
 Data "Help data file name(form: filename):"
 Data "DM help data file name(form: filename):"
 Data "Room file name(form: filename):"
 Data "Object file name(form: filename):"
 Data "Monster file name(form: filename):"
 Data "Treasure file name(form: filename):"
 Data "Spell file name(form: filename):"
 Data "User file name(form: filename):"
 Data "Session disk log file(form:6 letters):"
 Data "Session printer log driver(form: lptx:):"

Sub Display.Page.Three.B
 On Local Error Goto ErrorExit75
 Call Display.Border(Rtrim$(Menu1(TempX))+" Two")
 Call ANSI(4,37,44)
 Restore DisplayPage3B
 For Var=2 To 24
    Call ANSI(2,Var,2)
    Read Strng2
    Call Scrn(Strng2)
 Next
ErrorResume75:
 Exit Sub
ErrorExit75:
 Resume ErrorResume75
End Sub

DisplayPage3B:
 Data "Monster class file name(form: filename):"
 Data "Lastuser file name(form: filename):"
 Data "Monster talk file name(form: filename):"
 Data "Logoff file name(form: filename):"
 Data "Summary file name(form: filename):"
 Data "Non player character file name(form: filename):"
 Data "Public message file name(form: filename):"
 Data "Private message file name(form: filename):"
 Data "Message base file name file(form: filename):"
 Data "Hint documentation file name(form: filename):"
 Data "Catalog documentation file name(form: filename):"
 Data "Message work file name(form: 7 letters):"
 Data "Alternate message work file name(form: 6 letters):"
 Data "Sysop edit help file name(form: filename):"
 Data "Logon help file name(form: filename):"
 Data "Container file name(form: filename):"
 Data "User inventory file name(form: filename):"
 Data "User container inventory file name(form: filename):"
 Data "Team inventory file name (form: filename):"
 Data "Room inventory file name (form: filename):"
 Data "Monster inventory file name (form: filename):"
 Data "Shell Qbasic (form: filename.ext):"
 Data "Shell Edit.com (form: filename.ext):"

Sub Display.Page.Three.C
 On Local Error Goto ErrorExit75a
 Call Display.Border(Rtrim$(Menu1(TempX))+" Three")
 Call ANSI(4,37,44)
 Restore DisplayPage3C
 For Var=2 To 8
    Call ANSI(2,Var,2)
    Read Strng2
    Call Scrn(Strng2)
 Next
ErrorResume75a:
 Exit Sub
ErrorExit75a:
 Resume ErrorResume75a
End Sub

DisplayPage3C:
 Data "Room description file(form: filename):"
 Data "Bank filename(form: filename):"
 Data "Bad login codename filename(form: filename):"
 Data "Bank log filename(form: filename):"
 Data "Log filename extension(form: .ext):"
 Data "Logoff messages filename(form: filename):"
 Data "Dndcnfg help filename(form: filename):"

Sub Display.Page.Four.A
 On Local Error Goto ErrorExit76
 Call Display.Border(Rtrim$(Menu1(TempX))+" One")
 Call ANSI(4,37,44)
 Restore DisplayPage4A
 For Var=2 To 24
    Call ANSI(2,Var,2)
    Read Strng2
    Call Scrn(Strng2)
 Next
ErrorResume76:
 Exit Sub
ErrorExit76:
 Resume ErrorResume76
End Sub

DisplayPage4A:
 Data "Use old room values:"
 Data "Fighter training area room numbers:"
 Data "MU training area room numbers:"
 Data "Thieves training area room numbers:"
 Data "Clerics training area room numbers:"
 Data "Paladin training area room numbers:"
 Data "Rangers training area room numbers:"
 Data "Druid training area room numbers:"
 Data "Lady training area room numbers:"
 Data "Asst. DM training area room numbers:"
 Data "DM training area room numbers:"
 Data "Clerical resurrection room number:"
 Data "Jail room number:"
 Data "Pawn shoppe room number:"
 Data "Weapons shoppe room number:"
 Data "Bank room number:"
 Data "Wizard master room number:"
 Data "Maximum monsters per room:"
 Data "Maximum monsters per messaging file:"
 Data "Maximum treasure per room:"
 Data "Maximum treasure per messaging file:"
 Data "Divide monster encounter rate by number of players in room:"
 Data "Divide room health rate by number of players in room:"

Sub Display.Page.Four.B
 On Local Error Goto ErrorExit77
 Call Display.Border(Rtrim$(Menu1(TempX))+" Two")
 Call ANSI(4,37,44)
 Restore DisplayPage4B
 For Var=2 To 24
    Call ANSI(2,Var,2)
    Read Strng2
    Call Scrn(Strng2)
 Next
ErrorResume77:
 Exit Sub
ErrorExit77:
 Resume ErrorResume77
End Sub

DisplayPage4B:
 Data "Divide invisible rate by number of players in room:"
 Data "Divide room rust rate by number of players in room:"
 Data "Divide room steal rate by number of players in room:"
 Data "Divide monster cycle rate by number of players in room:"
 Data "Maximum learned spells string size:"
 Data "Maximum monster and nonplayer array size:"
 Data "Message node work file timeout in seconds(0=none):"
 Data "Maximum node work file messages:"
 Data "Ansi prefix character:"
 Data "Maximum seconds to wait while checking remote ansi:"
 Data "Allow auto pickup:"
 Data "Allow take all:"
 Data "Allow drop all:"
 Data "Allow DM to take permanent treasure during take all:"
 Data "Allow DM to take invisible treasure during take all:"
 Data "Allow DM to take hidden treasure during take all:"
 Data "Allow DM to kill all:"
 Data "Allow containers in take all:"
 Data "Percentage launched object enters next room:"
 Data "Maximum number of launch rooms:"
 Data "Maximum bank borrow(10000-1000000):"
 Data "Maximum bank borrow for level 10(10000-10000000):"
 Data "Percentage flatrate for bank interest:"

Sub Display.Page.Five.A
 On Local Error Goto ErrorExit78
 Call Display.Border(Rtrim$(Menu1(TempX))+" One")
 Call ANSI(4,37,44)
 Restore DisplayPage5A
 For Var=2 To 24
    Call ANSI(2,Var,2)
    Read Strng2
    Call Scrn(Strng2)
 Next
ErrorResume78:
 Exit Sub
ErrorExit78:
 Resume ErrorResume78
End Sub

DisplayPage5A:
 Data "Weapons shoppe treasure list(separate with commas):",""
 Data "Find invisible object percent chance searched for:"
 Data "Percent chance ammunition explodes:"
 Data "Percent chance ammunition discharges harmlessly:"
 Data "Monster hits percentage damage monster flees:"
 Data "Monster level multiplier gold accepts offer:"
 Data "Treasure plus monster accepts and leaves:"
 Data "Minimum fix broken treasure wisdom:"
 Data "Percent chance fixing treasure fails:"
 Data "Maximum treasure plus user can fix:"
 Data "Maximum strikes fixed item restored:"
 Data "Blacksmith: percent item charged to repair:"
 Data "Alchemist: percent item charged to repair:"
 Data "Broker: percent item offered to buy:"
 Data "Maximum user training statistic:"
 Data "Maximum appeal fatigue percent:"
 Data "Minimum smash open portal strength:"
 Data "Minimum smash open portal intelligence:"
 Data "Percent chance smash open portal fails:"
 Data "Thieves minimum picklock strength:"
 Data "Increment/decrement weapon plus counter(I/D):"
 Data "Amount to increment/decrement weapon plus from:"

Sub Display.Page.Five.B
 On Local Error Goto ErrorExit79
 Call Display.Border(Rtrim$(Menu1(TempX))+" Two")
 Call ANSI(4,37,44)
 Restore DisplayPage5B
 For Var=2 To 24
    Call ANSI(2,Var,2)
    Read Strng2
    Call Scrn(Strng2)
 Next
ErrorResume79:
 Exit Sub
ErrorExit79:
 Resume ErrorResume79
End Sub

DisplayPage5B:
 Data "Thieves minimum picklock intelligence:"
 Data "Percent chance picklocking portal fails:"
 Data "Percent chance monster treasure inventory:"
 Data "Offline user fights:"
 Data "Minimum user level to identify:"
 Data "Disable sysop page for chat:"
 Data "Minimum user level user to page sysop(zero for any):"
 Data "Delete old daylog on new date:"
 Data "Delete old dayfile on new date:"
 Data "Power of two to start gold required to train:"
 Data "Power of two to start experience required to train:"
 Data "Experience gained increments/decrements(I/D):"
 Data "Maximum user level until gold required is multiple of levels:"
 Data "Amount of gold per maximum levels to multiply:"
 Data "Maximum user level until experience required is multiple of levels:"
 Data "Amount of experience per maximum levels to multiply:"
 Data "Increment/decrement shield plus counter(I/D):"
 Data "Amount to increment/decrement shield plus from:"
 Data "Increment/decrement armor plus counter(I/D):"
 Data "Amount to increment/decrement armor plus from:"
 Data "Increment/decrement ring plus counter(I/D):"
 Data "Amount to increment/decrement ring plus from:"
 Data "Enable one-letter commands:"

Sub Display.Page.Six.A
 On Local Error Goto ErrorExit80
 Call Display.Border(Rtrim$(Menu1(TempX))+" One")
 Call ANSI(4,37,44)
 Restore DisplayPage6A
 For Var=2 To 24
    Call ANSI(2,Var,2)
    Read Strng2
    Call Scrn(Strng2)
 Next
ErrorResume80:
 Exit Sub
ErrorExit80:
 Resume ErrorResume80
End Sub

DisplayPage6A:
 Data "Communication port number:"
 Data "Communication port address(hexidecimal):"
 Data "RBBS door file node:"
 Data "Pathname to RBBS door file:"
 Data "Modem reset command:"
 Data "Modem init command(1-5):"
 Data "Modem answer command:"
 Data "Modem off hook command:"
 Data "Modem originate command:"
 Data "No input timeout(seconds):"
 Data "Modem open baud rate:"
 Data "No carrier after ring timeout(seconds):"
 Data "Log modem activity:"
 Data "Enable Xon/Xoff flow control:"
 Data "Enable RTS/CTS flow control:"
 Data "Enable locked baud rate:"
 Data "Screen blank in seconds(0=disable):"
 Data "Allow remote access to DOS:"
 Data "Password for remote DOS access:"
 Data "Print remote DOS access session:"
 Data "Seconds to wait during modem init:"
 Data "Number of tries to init modem(0=continuous):"
 Data "Allow keyboard shift light access:"

Sub Display.Page.Six.B
 On Local Error Goto ErrorExit81
 Call Display.Border(Rtrim$(Menu1(TempX))+" Two")
 Call ANSI(4,37,44)
 Restore DisplayPage6B
 For Var=2 To 24
    Call ANSI(2,Var,2)
    Read Strng2
    Call Scrn(Strng2)
 Next
ErrorResume81:
 Exit Sub
ErrorExit81:
 Resume ErrorResume81
End Sub

DisplayPage6B:
 Data "Modem Baud Rate    Modem String   Computer Connect Rate   Baud Allowed"
 Data "CONNECT 50"
 Data "CONNECT 75"
 Data "CONNECT 110"
 Data "CONNECT 134.5"
 Data "CONNECT 150"
 Data "CONNECT 268"
 Data "CONNECT 300"
 Data "CONNECT 450"
 Data "CONNECT 600"
 Data "CONNECT 1200"
 Data "CONNECT 2400"
 Data "CONNECT 4800"
 Data "CONNECT 7200"
 Data "CONNECT 9600"
 Data "CONNECT 12000"
 Data "CONNECT 14400"
 Data "CONNECT 16800"
 Data "CONNECT 19200"
 Data "CONNECT 21600"
 Data "CONNECT 24000"
 Data "CONNECT 26400"
 Data "CONNECT 28800"

Sub Display.Page.Six.C
 On Local Error Goto ErrorExit82
 Call Display.Border(Rtrim$(Menu1(TempX))+" Three")
 Call ANSI(4,37,44)
 Restore DisplayPage6C
 For Var=2 To 10
    Call ANSI(2,Var,2)
    Read Strng2
    Call Scrn(Strng2)
 Next
ErrorResume82:
 Exit Sub
ErrorExit82:
 Resume ErrorResume82
End Sub

DisplayPage6C:
 Data "Modem Baud Rate    Modem String   Computer Connect Rate   Baud Allowed"
 Data "CONNECT 31200"
 Data "CONNECT 33600"
 Data "CONNECT 64000"
 Data "CONNECT 38400"
 Data "CONNECT 57600"
 Data "CONNECT 78600"
 Data "CONNECT 115200"
 Data "CONNECT 230400"

Sub Display.Page.Seven.A
 On Local Error Goto ErrorExit83
 Call Display.Border(Rtrim$(Menu1(TempX))+" One")
 Call ANSI(4,37,44)
 Restore DisplayPage7A
 For Var=2 To 15
    Call ANSI(2,Var,2)
    Read Strng2
    Call Scrn(Strng2)
 Next
ErrorResume83:
 Exit Sub
ErrorExit83:
 Resume ErrorResume83
End Sub

DisplayPage7A:
 Data "Custom equations:"
 Data "Monster attack formula:"
 Data "User attack formula:"
 Data "Monster attack miss equation:"
 Data "User attack miss equation:"
 Data "Player turn undead equation:"
 Data "Player feint equation:"
 Data "Player circle equation:"
 Data "Player fumble equation:"
 Data "User fights hit points formula:"
 Data "User psionic attack formula:"
 Data "Monster psionic attack formula:"
 Data "Constitution roll equation:"
 Data "Load equation defaults:"

Sub Display.Page.Eight.A
 On Local Error Goto ErrorExit84
 Call Display.Border(Rtrim$(Menu1(TempX))+" One")
 Call ANSI(4,37,44)
 Restore DisplayPage8A
 For Var=3 To 8
    Call ANSI(2,Var,2)
    Read Strng2
    Call Scrn(Strng2)
 Next
 Call ANSI(2,2,2)
 Read Strng2
 Call Scrn(Strng2)
ErrorResume84:
 Exit Sub
ErrorExit84:
 Resume ErrorResume84
End Sub

DisplayPage8A:
 Data "Command abbreviation:"
 Data "Command synonym one:"
 Data "Command synonym two:"
 Data "Command time restrictions:"
 Data "Command time limit in seconds(0=none):"
 Data "Command character classname restrictions:"
 Data "Command:"

Sub Display.Page.Eight.B
 On Local Error Goto ErrorExit85
 Call Display.Border(Rtrim$(Menu1(TempX))+" Two")
 Call ANSI(4,37,44)
 Restore DisplayPage8B
 For Var=3 To 4
    Call ANSI(2,Var,2)
    Read Strng2
    Call Scrn(Strng2)
 Next
 Call ANSI(2,2,2)
 Read Strng2
 Call Scrn(Strng2)
ErrorResume85:
 Exit Sub
ErrorExit85:
 Resume ErrorResume85
End Sub

DisplayPage8B:
 Data "Node command:"
 Data "Command character classname restrictions:"
 Data "Enable node commands:"

Sub Display.Page.Eight.C
 On Local Error Goto ErrorExit86
 Call Display.Border(Rtrim$(Menu1(TempX))+" Three")
 Call ANSI(4,37,44)
 Restore DisplayPage8C
 For Var=3 To 4
    Call ANSI(2,Var,2)
    Read Strng2
    Call Scrn(Strng2)
 Next
 Call ANSI(2,2,2)
 Read Strng2
 Call Scrn(Strng2)
ErrorResume86:
 Exit Sub
ErrorExit86:
 Resume ErrorResume86
End Sub

DisplayPage8C:
 Data "DM command:"
 Data "Command character classname restrictions:"
 Data "Enable DM commands:"

Sub Display.Page.Eight.D
 On Local Error Goto ErrorExit87
 Call Display.Border(Rtrim$(Menu1(TempX))+" Four")
 Call ANSI(4,37,44)
 Restore DisplayPage8D
 For Var=3 To 4
    Call ANSI(2,Var,2)
    Read Strng2
    Call Scrn(Strng2)
 Next
 Call ANSI(2,2,2)
 Read Strng2
 Call Scrn(Strng2)
ErrorResume87:
 Exit Sub
ErrorExit87:
 Resume ErrorResume87
End Sub

DisplayPage8D:
 Data "Sysop command:"
 Data "Command character classname restrictions:"
 Data "Enable Sysop commands:"
 Data ""
